Groups

List groups

Use this endpoint to list groups.

Use this endpoint to list groups.

GET
/v1/groups

Authorization

BearerAuth
AuthorizationBearer <token>

Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.

In: header

Query Parameters

cursor?string

Cursor for pagination

limit?integer

Number of items to return (default: 20)

Rangevalue <= 100

Header Parameters

Certifier-Version*string

API version header. Required for all requests.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.certifier.io/v1/groups" \  -H "Certifier-Version: 2022-10-26"
{
  "data": [
    {
      "id": "01g90279gp5sbmfek7wymcsvec",
      "name": "Financial Markets",
      "learningEventUrl": "https://www.coursera.org/learn/financial-markets-global",
      "certificateDesignId": "01fpwtztwf7sacca5r0c483mnm",
      "badgeDesignId": "01hz2ej4yzdcfkq9fa78nhyj0x",
      "createdAt": "2022-01-01T00:00:00.000Z",
      "updatedAt": "2022-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "prev": null,
    "next": null
  }
}

{
  "error": {
    "code": "missing_version",
    "message": "The request is missing the required Certifier-Version header"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "A valid authentication token was not provided with the request"
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "You have exceeded the rate limit"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "There was a problem on Certifier's end"
  }
}